Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.shipping
Interface ShippingMethodHome

public interface ShippingMethodHome
extends SmartEJBHome

The home interface for the ShippingMethod entity bean. Use this class to create, remove, and find ShippingMethod entity beans.

Method Summary
`ShippingMethod` | `create(ShippingMethodPk shippingMethodPk)` Create a new ShippingMethod entity bean using the com.beasys.commerce.ebusiness.shipping.ShippingMethodPk.
`java.util.Enumeration` | `findAll()`
`ShippingMethod` | `findByPrimaryKey(ShippingMethodPk shippingMethodPk)` Find an ShippingMethod entity bean using the com.beasys.commerce.ebusiness.shipping.ShippingMethodPk.

Methods inherited from interface javax.ejb.EJBHome
`getEJBMetaData, getHomeHandle, remove, remove`

Method Detail

### create

    public ShippingMethod create(ShippingMethodPk shippingMethodPk)
                          throws javax.ejb.CreateException,
                                 java.rmi.RemoteException

  Create a new ShippingMethod entity bean using the com.beasys.commerce.ebusiness.shipping.ShippingMethodPk.

### findByPrimaryKey

    public ShippingMethod findByPrimaryKey(ShippingMethodPk shippingMethodPk)
                                    throws java.rmi.RemoteException,
                                           javax.ejb.FinderException

  Find an ShippingMethod entity bean using the com.beasys.commerce.ebusiness.shipping.ShippingMethodPk.

### findAll

    public java.util.Enumeration findAll()
                                  throws java.rmi.RemoteException,
                                         javax.ejb.FinderException

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved